Skip to navigation

List Consignments

Get all consignments for an order.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

includelist of enumsOptional
  • consignments.line_items - include the response returned from the request to the /orders/{order_id}/products endpoint in consignments.
Allowed values:

Response

OK
pickupslist of objectsOptional
Pickup consignments.
shippinglist of objectsOptional
Shipping consignments.
downloadslist of objectsOptional
Digital consignments for products that are downloaded.
emailobjectOptional
Email consignments for gift certificates.

Errors

404
Not Found Error